= How do I open a port in the firewall? =
[[TOC(heading=How do I...?,depth=1,HowTo/*)]]

As shipped, SecureCI™ only allows incoming connections to ports 22 (SSH) and 443 (HTTPS). Firewalling is 
handled by [http://www.iptables.org/ iptables]. The script to configure `iptables` is 
`<%= node['secureci-firewall']['home'] %>/secureci.fw` which is run at the end of boot from `/etc/rc.local`.

Additionally, if you are running SecureCI™ on Amazon Webservices, only certain ports are open.
By default these include 22 (SSH) and 443 (HTTPS) but also  1443 (IES-LM) and 80 (HTTP).
Ensure you change your [http://docs.aws.amazon.com/AWSEC2/latest/UserGuide/using-network-security.html#security-group-rules security rules] or [http://docs.aws.amazon.com/AWSEC2/latest/UserGuide/using-network-security.html#vpc-security-groups security group] to match your updated firewall rules.

You can edit `<%= node['secureci-firewall']['home'] %>/secureci.fw` by hand, but it might be easier to use a tool such as 
[http://www.fwbuilder.org/ FirewallBuilder].

<%= node['trac']['wiki']['footer'] %>
